package org.apache.commons.lang3.text;

package .tmp;

import java.util.List;
import org.apache.commons.lang3.text.StrBuilder;
import org.apache.commons.lang3.text.StrTokenizer;

class StrBuilderTokenizer extends StrTokenizer {
  protected List<String> tokenize(char[] chars, int offset, int count) {
    if (chars == null)
      return super.tokenize(StrBuilder.this.buffer, 0, StrBuilder.this.size()); 
    return super.tokenize(chars, offset, count);
  }
  
  public String getContent() {
    String str = super.getContent();
    if (str == null)
      return StrBuilder.this.toString(); 
    return str;
  }
}
